@damir Try building in a clean chroot.
==> Finished making: localsend 1.16.1-1 (Thu Dec 26 17:01:01 2024)
Git Clone URL: | https://aur.archlinux.org/localsend.git (read-only, click to copy) |
---|---|
Package Base: | localsend |
Description: | An open source cross-platform alternative to AirDrop |
Upstream URL: | https://github.com/localsend/localsend |
Licenses: | MIT |
Submitter: | patlefort |
Maintainer: | xiota |
Last Packager: | xiota |
Votes: | 14 |
Popularity: | 0.78 |
First Submitted: | 2023-03-31 12:58 (UTC) |
Last Updated: | 2024-11-05 20:22 (UTC) |
@damir Try building in a clean chroot.
==> Finished making: localsend 1.16.1-1 (Thu Dec 26 17:01:01 2024)
trying to install localsend 1.16.1-1, for me the build fails:
Got dependencies!
2 packages are discontinued.
Dependencies are affected by security advisories:
[^0]: https://github.com/advisories/GHSA-3hpf-ff72-j67p
102 packages have newer versions incompatible with dependency constraints.
Try `flutter pub outdated` for more information.
Downloading linux-x64-debug/linux-x64-flutter-gtk tools... 1,487ms
Downloading linux-x64-profile/linux-x64-flutter-gtk tools... 1,207ms
Downloading linux-x64-release/linux-x64-flutter-gtk tools... 1,208ms
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: cannot check whether the hidden type of opaque type satisfies auto traits
SEVERE: error: cannot check whether the hidden type of opaque type satisfies auto traits
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: cannot check whether the hidden type of opaque type satisfies auto traits
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: future cannot be sent between threads safely
SEVERE: error: cannot check whether the hidden type of opaque type satisfies auto traits
SEVERE: error: cannot check whether the hidden type of opaque type satisfies auto traits
SEVERE: error: cannot check whether the hidden type of opaque type satisfies auto traits
SEVERE: error: could not compile `rhttp` (lib) due to 26 previous errors
Building Linux application...
Build process failed
==> ERROR: A failure occurred in build().
Aborting...
-> error making: localsend-exit status 4
-> Failed to install the following packages. Manual intervention is required:
localsend - exit status 4
It's working. You can keep the package, I'll just comment if there is a problem.
@patlefort To confirm, it is compatible with fvm
as used in this package? Would you like to be added back as comaintainer?
I've created a package fvm-sourcebuild
for those who want to build the engine from sources. It will cache build artifacts in the same place as flutter-engine
(~/.cache/flutter-engine
).
After the last upgrade this segfaults for me with: Error while initializing the Dart VM: Invalid vm isolate snapshot seen
. The following patch as seen in other Dart-based packages from Alpine fixes it:
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -59,6 +59,9 @@ package() {
# runpath
patchelf --force-rpath --set-rpath "/$_install_path/$_pkgname/lib" "$pkgdir/$_install_path/$_pkgname/$_pkgname"
for i in "$pkgdir/$_install_path/$_pkgname/lib"/*.so; do
+ # Fix: Error while initializing the Dart VM: Invalid vm isolate snapshot seen
+ [ "$(basename "$i")" != "libapp.so" ] || continue
+
patchelf --force-rpath --set-rpath "/$_install_path/$_pkgname/lib" "$i"
done
@xiota thanks, works now
@Xabre fvm
manages flutter versions. Different versions of flutter use a different option (--disable-analytics
/ --disable-telemetry
). I changed it to the wrong one. Should be fixed now.
✓ Project now uses Flutter SDK : SDK Version : 3.13.9 Could not find an option named "disable-analytics".
Run 'flutter -h' (or 'flutter <command> -h') for available flutter commands and options. ==> ERROR: A failure occurred in build(). Aborting...
Please advise?
Edit: Right, missing makedepends=('flutter')
Pinned Comments
patlefort commented on 2024-07-09 02:46 (UTC)
I've created a package
fvm-sourcebuild
for those who want to build the engine from sources. It will cache build artifacts in the same place asflutter-engine
(~/.cache/flutter-engine
).